Gitit does not install on Windows #251

Open
jgm opened this Issue Jul 9, 2011 · 4 comments

Comments

Projects
None yet
3 participants
Owner

jgm commented Jul 9, 2011

What steps will reproduce the problem?
1. On Windows 7, follow instructions at http://gitit.net/Installing
2. In the step 'cabal install gitit' many packages install ok, but a few don't, causing gitit not to be built/installed

What is the expected output? What do you see instead?
Expected output is a successful install of gitit, instead I see (when running cabal install gitit a second time):
C:\Users\sreiz>cabal install gitit
Resolving dependencies...
Configuring unix-2.4.0.2...
cabal: The package has a './configure' script. This requires a Unix
compatibility toolchain such as MinGW+MSYS or Cygwin.
cabal: Error: some packages failed to install:
cautious-file-0.1.5 depends on unix-2.4.0.2 which failed to install.
gitit-0.7.3.8 depends on unix-2.4.0.2 which failed to install.
unix-2.4.0.2 failed during the configure step. The exception was:
ExitFailure 1

What version of the product are you using? On what operating system?
Install attempted with latest versions on 6-aug-2010 (Haskell platform 2010.2.0.0, PortableGit-1.7.1-preview20100612.7z )

Please provide any additional information below.
I don't have enough Haskell knowledge to know if this is a serious issue, but if it is it would be good to update the info on gitit.net to make clear it won't install on Windows.

Google Code Info:
Issue #: 108
Author: steven.r...@gmail.com
Created On: 2010-08-06T14:26:19.000Z
Closed On: 

jgm was assigned Jul 9, 2011

Owner

jgm commented Jul 9, 2011

Still a problem, and yeah pity as I have the same fricken problem with Ruby and Gollum / Git-Wiki. Interesting that "Windows" is the same problem with them all.

Well onto something else then, GIT's all good but well yeah the rest not so, maybe CAML might have something. Yeah BSD / Nix is nice but most of the corp dev world has to live with Windows....

Google Code Info:
Author: thechaos...@gmail.com
Created On: 2010-11-15T12:01:24.000Z

Owner

jgm commented Jul 9, 2011

Did you try installing MinGW+MSYS or Cygwin? The error message indicates that might be a way forward. You can get a slick MSYS environment from the same place you get Git for (Microsoft) Windows.

I was able to successfully cabal install gitit-0.8.0.1 today on 64-bit Microsoft Windows 7 Home Premium + SP1, git version 1.7.4.msysgit.0, GHC 7.0.3, cabal-1.10.1.0, and cabal-install version 0.10.2. (It still won't run, but that's due to lack of grep in my PATH.)

Google Code Info:
Author: Boyd.Ste...@gmail.com
Created On: 2011-07-08T14:28:19.000Z

nexxTM commented Jun 17, 2013

I installed it with cygwin and it runs without problems (so far). (Windows 7 Professional 64 bit)

Any updates here? Does gitit work on windows?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment